Magick++: Magick::Options Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::Options Class Reference

`#include <Options.h>`

## Public Member Functions
| Options (void)
| Options (const Options &options_)
| ~Options ()
void | antiAlias (bool flag_)
bool | antiAlias (void) const
void | adjoin (bool flag_)
bool | adjoin (void) const
void | backgroundColor (const Color &color_)
Color | backgroundColor (void) const
void | backgroundTexture (const std::string &backgroundTexture_)
std::string | backgroundTexture (void) const
void | borderColor (const Color &color_)
Color | borderColor (void) const
void | boxColor (const Color &boxColor_)
Color | boxColor (void) const
void | colorFuzz (double fuzz_)
double | colorFuzz (void) const
void | colorspaceType (ColorspaceType colorspace_)
ColorspaceType | colorspaceType (void) const
void | compressType (CompressionType compressType_)
CompressionType | compressType (void) const
void | debug (bool flag_)
bool | debug (void) const
void | density (const Geometry &geomery_)
Geometry | density (void) const
void | depth (size_t depth_)
size_t | depth (void) const
void | endian (EndianType endian_)
EndianType | endian (void) const
void | file (FILE *file_)
FILE * | file (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fillColor_)
Color | fillColor (void) const
void | fillPattern (const MagickCore::Image *fillPattern_)
const MagickCore::Image * | fillPattern (void) const
void | fillRule (const FillRule &fillRule_)
FillRule | fillRule (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | fontFamily (const std::string &family_)
std::string | fontFamily (void) const
void | fontPointsize (double pointSize_)
double | fontPointsize (void) const
void | fontStyle (const StyleType style_)
StyleType | fontStyle (void) const
void | fontWeight (const size_t weight_)
size_t | fontWeight (void) const
std::string | format (void) const
void | interlaceType (InterlaceType interlace_)
InterlaceType | interlaceType (void) const
void | magick (const std::string &magick_)
std::string | magick (void) const
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | monochrome (bool monochromeFlag_)
bool | monochrome (void) const
void | page (const Geometry &pageSize_)
Geometry | page (void) const
void | quality (size_t quality_)
size_t | quality (void) const
void | quantizeColors (size_t colors_)
size_t | quantizeColors (void) const
void | quantizeColorSpace (ColorspaceType colorSpace_)
ColorspaceType | quantizeColorSpace (void) const
void | quantizeDither (bool ditherFlag_)
bool | quantizeDither (void) const
void | quantizeDitherMethod (DitherMethod ditherMethod_)
DitherMethod | quantizeDitherMethod (void) const
void | quantizeTreeDepth (size_t treeDepth_)
size_t | quantizeTreeDepth (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | resolutionUnits (ResolutionType resolutionUnits_)
ResolutionType | resolutionUnits (void) const
void | samplingFactor (const std::string &samplingFactor_)
std::string | samplingFactor (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
void | strokeAntiAlias (bool flag_)
bool | strokeAntiAlias (void) const
void | strokeColor (const Color &strokeColor_)
Color | strokeColor (void) const
void | strokeDashArray (const double *strokeDashArray_)
const double * | strokeDashArray (void) const
void | strokeDashOffset (double strokeDashOffset_)
double | strokeDashOffset (void) const
void | strokeLineCap (LineCap lineCap_)
LineCap | strokeLineCap (void) const
void | strokeLineJoin (LineJoin lineJoin_)
LineJoin | strokeLineJoin (void) const
void | strokeMiterLimit (size_t miterLimit_)
size_t | strokeMiterLimit (void) const
void | strokePattern (const MagickCore::Image *strokePattern_)
const MagickCore::Image * | strokePattern (void) const
void | strokeWidth (double strokeWidth_)
double | strokeWidth (void) const
void | subImage (size_t subImage_)
size_t | subImage (void) const
void | subRange (size_t subRange_)
size_t | subRange (void) const
void | textDirection (DirectionType direction_)
DirectionType | textDirection () const
void | textEncoding (const std::string &encoding_)
std::string | textEncoding (void) const
void | textGravity (GravityType gravity_)
GravityType | textGravity () const
void | textInterlineSpacing (double spacing_)
double | textInterlineSpacing (void) const
void | textInterwordSpacing (double spacing_)
double | textInterwordSpacing (void) const
void | textKerning (double kerning_)
double | textKerning (void) const
void | textUnderColor (const Color &underColor_)
Color | textUnderColor (void) const
void | tileName (const std::string &tileName_)
std::string | tileName (void) const
void | transformOrigin (double tx_, double ty_)
void | transformReset (void)
void | transformRotation (double angle_)
void | transformScale (double sx_, double sy_)
void | transformSkewX (double skewx_)
void | transformSkewY (double skewy_)
void | type (const ImageType type_)
ImageType | type (void) const
void | verbose (bool verboseFlag_)
bool | verbose (void) const
void | view (const std::string &view_)
std::string | view (void) const
void | virtualPixelMethod (VirtualPixelMethod virtual_pixel_method_)
VirtualPixelMethod | virtualPixelMethod (void) const
void | x11Display (const std::string &display_)
std::string | x11Display (void) const
MagickCore::DrawInfo * | drawInfo (void)
MagickCore::ImageInfo * | imageInfo (void)
MagickCore::QuantizeInfo * | quantizeInfo (void)
| Options (const MagickCore::ImageInfo *imageInfo_, const MagickCore::QuantizeInfo *quantizeInfo_, const MagickCore::DrawInfo *drawInfo_)

## Detailed Description

Definition at line 28 of file Options.h.

## Constructor & Destructor Documentation

Magick::Options::Options | ( | void |  | ) |

Definition at line 27 of file Options.cpp.

Magick::Options::Options | ( | const Options & | options_ | ) |

Definition at line 45 of file Options.cpp.

Magick::Options::~Options | ( |  | ) |

Definition at line 53 of file Options.cpp.

Magick::Options::Options | ( | const MagickCore::ImageInfo * | imageInfo_,
|  | const MagickCore::QuantizeInfo * | quantizeInfo_,
|  | const MagickCore::DrawInfo * | drawInfo_
| ) |  |

Definition at line 1024 of file Options.cpp.

## Member Function Documentation

void Magick::Options::adjoin | ( | bool | flag_ | ) |

Definition at line 76 of file Options.cpp.

bool Magick::Options::adjoin | ( | void |  | ) | const

Definition at line 82 of file Options.cpp.

void Magick::Options::antiAlias | ( | bool | flag_ | ) |

Definition at line 65 of file Options.cpp.

bool Magick::Options::antiAlias | ( | void |  | ) | const

Definition at line 71 of file Options.cpp.

void Magick::Options::backgroundColor | ( | const Color & | color_ | ) |

Definition at line 87 of file Options.cpp.

Magick::Color Magick::Options::backgroundColor | ( | void |  | ) | const

Definition at line 92 of file Options.cpp.

void Magick::Options::backgroundTexture | ( | const std::string & | backgroundTexture_ | ) |

Definition at line 97 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::backgroundTexture | ( | void |  | ) | const

Definition at line 105 of file Options.cpp.

void Magick::Options::borderColor | ( | const Color & | color_ | ) |

Definition at line 113 of file Options.cpp.

Magick::Color Magick::Options::borderColor | ( | void |  | ) | const

Definition at line 119 of file Options.cpp.

void Magick::Options::boxColor | ( | const Color & | boxColor_ | ) |

Definition at line 124 of file Options.cpp.

Magick::Color Magick::Options::boxColor | ( | void |  | ) | const

Definition at line 129 of file Options.cpp.

void Magick::Options::colorFuzz | ( | double | fuzz_ | ) |

Definition at line 154 of file Options.cpp.

double Magick::Options::colorFuzz | ( | void |  | ) | const

Definition at line 159 of file Options.cpp.

void Magick::Options::colorspaceType | ( | Magick::ColorspaceType | colorspace_ | ) |

Definition at line 134 of file Options.cpp.

Magick::ColorspaceType Magick::Options::colorspaceType | ( | void |  | ) | const

Definition at line 139 of file Options.cpp.

void Magick::Options::compressType | ( | CompressionType | compressType_ | ) |

Definition at line 144 of file Options.cpp.

Magick::CompressionType Magick::Options::compressType | ( | void |  | ) | const

Definition at line 149 of file Options.cpp.

void Magick::Options::debug | ( | bool | flag_ | ) |

Definition at line 164 of file Options.cpp.

bool Magick::Options::debug | ( | void |  | ) | const

Definition at line 172 of file Options.cpp.

void Magick::Options::density | ( | const Geometry & | geomery_ | ) |

Definition at line 180 of file Options.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

Magick::Geometry Magick::Options::density | ( | void |  | ) | const

Definition at line 188 of file Options.cpp.

References Magick::Geometry.

void Magick::Options::depth | ( | size_t | depth_ | ) |

Definition at line 196 of file Options.cpp.

size_t Magick::Options::depth | ( | void |  | ) | const

Definition at line 201 of file Options.cpp.

MagickCore::DrawInfo * Magick::Options::drawInfo | ( | void |  | ) |

Definition at line 1009 of file Options.cpp.

void Magick::Options::endian | ( | Magick::EndianType | endian_ | ) |

Definition at line 206 of file Options.cpp.

Magick::EndianType Magick::Options::endian | ( | void |  | ) | const

Definition at line 211 of file Options.cpp.

void Magick::Options::file | ( | FILE * | file_ | ) |

Definition at line 216 of file Options.cpp.

FILE * Magick::Options::file | ( | void |  | ) | const

Definition at line 221 of file Options.cpp.

void Magick::Options::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 226 of file Options.cpp.

std::string Magick::Options::fileName | ( | void |  | ) | const

Definition at line 239 of file Options.cpp.

void Magick::Options::fillColor | ( | const Color & | fillColor_ | ) |

Definition at line 244 of file Options.cpp.

References Magick::Image.

Magick::Color Magick::Options::fillColor | ( | void |  | ) | const

Definition at line 252 of file Options.cpp.

void Magick::Options::fillPattern | ( | const MagickCore::Image * | fillPattern_ | ) |

Definition at line 257 of file Options.cpp.

References GetPPException, and ThrowPPException.

const MagickCore::Image * Magick::Options::fillPattern | ( | void |  | ) | const

Definition at line 274 of file Options.cpp.

void Magick::Options::fillRule | ( | const FillRule & | fillRule_ | ) |

Definition at line 279 of file Options.cpp.

Magick::FillRule Magick::Options::fillRule | ( | void |  | ) | const

Definition at line 284 of file Options.cpp.

void Magick::Options::font | ( | const std::string & | font_ | ) |

Definition at line 289 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::font | ( | void |  | ) | const

Definition at line 303 of file Options.cpp.

void Magick::Options::fontFamily | ( | const std::string & | family_ | ) |

Definition at line 311 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::fontFamily | ( | void |  | ) | const

Definition at line 325 of file Options.cpp.

void Magick::Options::fontPointsize | ( | double | pointSize_ | ) |

Definition at line 333 of file Options.cpp.

double Magick::Options::fontPointsize | ( | void |  | ) | const

Definition at line 339 of file Options.cpp.

void Magick::Options::fontStyle | ( | const StyleType | style_ | ) |

Definition at line 344 of file Options.cpp.

Magick::StyleType Magick::Options::fontStyle | ( | void |  | ) | const

Definition at line 351 of file Options.cpp.

void Magick::Options::fontWeight | ( | const size_t | weight_ | ) |

Definition at line 356 of file Options.cpp.

size_t Magick::Options::fontWeight | ( | void |  | ) | const

Definition at line 362 of file Options.cpp.

std::string Magick::Options::format | ( | void |  | ) | const

Definition at line 368 of file Options.cpp.

References GetPPException, and ThrowPPException.

MagickCore::ImageInfo * Magick::Options::imageInfo | ( | void |  | ) |

Definition at line 1014 of file Options.cpp.

void Magick::Options::interlaceType | ( | Magick::InterlaceType | interlace_ | ) |

Definition at line 384 of file Options.cpp.

Magick::InterlaceType Magick::Options::interlaceType | ( | void |  | ) | const

Definition at line 389 of file Options.cpp.

void Magick::Options::magick | ( | const std::string & | magick_ | ) |

Definition at line 394 of file Options.cpp.

References GetPPException, Magick::throwExceptionExplicit(), and ThrowPPException.

std::string Magick::Options::magick | ( | void |  | ) | const

Definition at line 412 of file Options.cpp.

void Magick::Options::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 420 of file Options.cpp.

Magick::Color Magick::Options::matteColor | ( | void |  | ) | const

Definition at line 425 of file Options.cpp.

void Magick::Options::monochrome | ( | bool | monochromeFlag_ | ) |

Definition at line 430 of file Options.cpp.

bool Magick::Options::monochrome | ( | void |  | ) | const

Definition at line 435 of file Options.cpp.

void Magick::Options::page | ( | const Geometry & | pageSize_ | ) |

Definition at line 440 of file Options.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

Magick::Geometry Magick::Options::page | ( | void |  | ) | const

Definition at line 448 of file Options.cpp.

References Magick::Geometry.

void Magick::Options::quality | ( | size_t | quality_ | ) |

Definition at line 456 of file Options.cpp.

size_t Magick::Options::quality | ( | void |  | ) | const

Definition at line 461 of file Options.cpp.

void Magick::Options::quantizeColors | ( | size_t | colors_ | ) |

Definition at line 466 of file Options.cpp.

size_t Magick::Options::quantizeColors | ( | void |  | ) | const

Definition at line 471 of file Options.cpp.

void Magick::Options::quantizeColorSpace | ( | Magick::ColorspaceType | colorSpace_ | ) |

Definition at line 476 of file Options.cpp.

Magick::ColorspaceType Magick::Options::quantizeColorSpace | ( | void |  | ) | const

Definition at line 481 of file Options.cpp.

void Magick::Options::quantizeDither | ( | bool | ditherFlag_ | ) |

Definition at line 486 of file Options.cpp.

bool Magick::Options::quantizeDither | ( | void |  | ) | const

Definition at line 492 of file Options.cpp.

void Magick::Options::quantizeDitherMethod | ( | DitherMethod | ditherMethod_ | ) |

Definition at line 497 of file Options.cpp.

MagickCore::DitherMethod Magick::Options::quantizeDitherMethod | ( | void |  | ) | const

Definition at line 502 of file Options.cpp.

MagickCore::QuantizeInfo * Magick::Options::quantizeInfo | ( | void |  | ) |

Definition at line 1019 of file Options.cpp.

void Magick::Options::quantizeTreeDepth | ( | size_t | treeDepth_ | ) |

Definition at line 507 of file Options.cpp.

size_t Magick::Options::quantizeTreeDepth | ( | void |  | ) | const

Definition at line 512 of file Options.cpp.

void Magick::Options::quiet | ( | const bool | quiet_ | ) |

Definition at line 517 of file Options.cpp.

bool Magick::Options::quiet | ( | void |  | ) | const

Definition at line 522 of file Options.cpp.

void Magick::Options::resolutionUnits | ( | Magick::ResolutionType | resolutionUnits_ | ) |

Definition at line 527 of file Options.cpp.

Magick::ResolutionType Magick::Options::resolutionUnits | ( | void |  | ) | const

Definition at line 532 of file Options.cpp.

void Magick::Options::samplingFactor | ( | const std::string & | samplingFactor_ | ) |

Definition at line 537 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::samplingFactor | ( | void |  | ) | const

Definition at line 546 of file Options.cpp.

void Magick::Options::size | ( | const Geometry & | geometry_ | ) |

Definition at line 554 of file Options.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

Magick::Geometry Magick::Options::size | ( | void |  | ) | const

Definition at line 562 of file Options.cpp.

References Magick::Geometry.

void Magick::Options::strokeAntiAlias | ( | bool | flag_ | ) |

Definition at line 570 of file Options.cpp.

bool Magick::Options::strokeAntiAlias | ( | void |  | ) | const

Definition at line 576 of file Options.cpp.

void Magick::Options::strokeColor | ( | const Color & | strokeColor_ | ) |

Definition at line 581 of file Options.cpp.

References Magick::Image.

Magick::Color Magick::Options::strokeColor | ( | void |  | ) | const

Definition at line 589 of file Options.cpp.

void Magick::Options::strokeDashArray | ( | const double * | strokeDashArray_ | ) |

Definition at line 594 of file Options.cpp.

References Magick::throwExceptionExplicit().

const double * Magick::Options::strokeDashArray | ( | void |  | ) | const

Definition at line 618 of file Options.cpp.

void Magick::Options::strokeDashOffset | ( | double | strokeDashOffset_ | ) |

Definition at line 623 of file Options.cpp.

double Magick::Options::strokeDashOffset | ( | void |  | ) | const

Definition at line 628 of file Options.cpp.

void Magick::Options::strokeLineCap | ( | Magick::LineCap | lineCap_ | ) |

Definition at line 633 of file Options.cpp.

Magick::LineCap Magick::Options::strokeLineCap | ( | void |  | ) | const

Definition at line 638 of file Options.cpp.

void Magick::Options::strokeLineJoin | ( | Magick::LineJoin | lineJoin_ | ) |

Definition at line 643 of file Options.cpp.

Magick::LineJoin Magick::Options::strokeLineJoin | ( | void |  | ) | const

Definition at line 648 of file Options.cpp.

void Magick::Options::strokeMiterLimit | ( | size_t | miterLimit_ | ) |

Definition at line 653 of file Options.cpp.

size_t Magick::Options::strokeMiterLimit | ( | void |  | ) | const

Definition at line 658 of file Options.cpp.

void Magick::Options::strokePattern | ( | const MagickCore::Image * | strokePattern_ | ) |

Definition at line 663 of file Options.cpp.

References GetPPException, and ThrowPPException.

const MagickCore::Image * Magick::Options::strokePattern | ( | void |  | ) | const

Definition at line 677 of file Options.cpp.

void Magick::Options::strokeWidth | ( | double | strokeWidth_ | ) |

Definition at line 682 of file Options.cpp.

double Magick::Options::strokeWidth | ( | void |  | ) | const

Definition at line 687 of file Options.cpp.

void Magick::Options::subImage | ( | size_t | subImage_ | ) |

Definition at line 692 of file Options.cpp.

size_t Magick::Options::subImage | ( | void |  | ) | const

Definition at line 697 of file Options.cpp.

void Magick::Options::subRange | ( | size_t | subRange_ | ) |

Definition at line 702 of file Options.cpp.

size_t Magick::Options::subRange | ( | void |  | ) | const

Definition at line 707 of file Options.cpp.

void Magick::Options::textDirection | ( | DirectionType | direction_ | ) |

Definition at line 712 of file Options.cpp.

Magick::DirectionType Magick::Options::textDirection | ( | void |  | ) | const

Definition at line 719 of file Options.cpp.

void Magick::Options::textEncoding | ( | const std::string & | encoding_ | ) |

Definition at line 724 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::textEncoding | ( | void |  | ) | const

Definition at line 730 of file Options.cpp.

void Magick::Options::textGravity | ( | GravityType | gravity_ | ) |

Definition at line 738 of file Options.cpp.

Magick::GravityType Magick::Options::textGravity | ( | void |  | ) | const

Definition at line 745 of file Options.cpp.

void Magick::Options::textInterlineSpacing | ( | double | spacing_ | ) |

Definition at line 750 of file Options.cpp.

double Magick::Options::textInterlineSpacing | ( | void |  | ) | const

Definition at line 756 of file Options.cpp.

void Magick::Options::textInterwordSpacing | ( | double | spacing_ | ) |

Definition at line 761 of file Options.cpp.

double Magick::Options::textInterwordSpacing | ( | void |  | ) | const

Definition at line 767 of file Options.cpp.

void Magick::Options::textKerning | ( | double | kerning_ | ) |

Definition at line 772 of file Options.cpp.

double Magick::Options::textKerning | ( | void |  | ) | const

Definition at line 778 of file Options.cpp.

void Magick::Options::textUnderColor | ( | const Color & | underColor_ | ) |

Definition at line 783 of file Options.cpp.

Magick::Color Magick::Options::textUnderColor | ( | void |  | ) | const

Definition at line 789 of file Options.cpp.

void Magick::Options::tileName | ( | const std::string & | tileName_ | ) |

Definition at line 795 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::tileName | ( | void |  | ) | const

Definition at line 803 of file Options.cpp.

void Magick::Options::transformOrigin | ( | double | tx_,
|  | double | ty_
| ) |  |

Definition at line 810 of file Options.cpp.

void Magick::Options::transformReset | ( | void |  | ) |

Definition at line 834 of file Options.cpp.

void Magick::Options::transformRotation | ( | double | angle_ | ) |

Definition at line 844 of file Options.cpp.

References DegreesToRadians.

void Magick::Options::transformScale | ( | double | sx_,
|  | double | sy_
| ) |  |

Definition at line 870 of file Options.cpp.

void Magick::Options::transformSkewX | ( | double | skewx_ | ) |

Definition at line 894 of file Options.cpp.

References DegreesToRadians.

void Magick::Options::transformSkewY | ( | double | skewy_ | ) |

Definition at line 919 of file Options.cpp.

References DegreesToRadians.

void Magick::Options::type | ( | const ImageType | type_ | ) |

Definition at line 944 of file Options.cpp.

Magick::ImageType Magick::Options::type | ( | void |  | ) | const

Definition at line 949 of file Options.cpp.

void Magick::Options::verbose | ( | bool | verboseFlag_ | ) |

Definition at line 954 of file Options.cpp.

bool Magick::Options::verbose | ( | void |  | ) | const

Definition at line 959 of file Options.cpp.

void Magick::Options::view | ( | const std::string & | view_ | ) |

Definition at line 976 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::view | ( | void |  | ) | const

Definition at line 984 of file Options.cpp.

void Magick::Options::virtualPixelMethod | ( | VirtualPixelMethod | virtual_pixel_method_ | ) |

Definition at line 964 of file Options.cpp.

Magick::VirtualPixelMethod Magick::Options::virtualPixelMethod | ( | void |  | ) | const

Definition at line 970 of file Options.cpp.

void Magick::Options::x11Display | ( | const std::string & | display_ | ) |

Definition at line 992 of file Options.cpp.

References Magick::CloneString().

std::string Magick::Options::x11Display | ( | void |  | ) | const

Definition at line 1001 of file Options.cpp.

The documentation for this class was generated from the following files:

- Options.h
- Options.cpp